Subject: Re: egress LSR

From: Jim Sullivan <[email-masked]>
Date: Fri, 15 Oct 1999 07:05:53 -0400

At 06:09 PM 10/15/1999 +0800, [email-masked] wrote:
>
>
>>   An LSR R1 is considered to be an "LSP Proxy Egress" LSR for address
>>   prefix X if and only if:
>
>>      1. R1's next hop for X is R2, and R1 and R2 are not label
>>       distribution peers with respect to X (perhaps because R2 does
>>         not support MPLS), or
>
>>[ For me this case is a little unclear.  Consider the following cases.
>>  - My downstream for this FEC does not support MPLS. 
>Proxy egress can be used.
>
>>  - My downstream for this FEC is an LSR but my LDP session to that peer is
>>not up.
>Can't the LSR act as a Proxy egress before the LDP session has been
established.
>Once, the session has been established, the LSR can become a transit LSR.
In some cases isn't it desireable to tunnel packets with private addresses
(i.e. addresses that are only known by the tunnel transmit and receive 
end points) through some egress router(Re)(the tunnel receive endpoint).  
If this is desired then one might use an LSP for the host route to Re as 
the tunnel for such packets.   
In this case we would not want any LSR but Re to consider itself 
the egress. Maybe the right thing to do is use a Hierarchical LSP
then the ingress would not forward packets with private addresses
until it received a higher level label from Re. 

>
>>  - I have a session to my downstream peer, however when I requested 
>>  a label for the FEC he responded with either "no route" or "no resource" 
>>  notification. 
>LSR should not be Egress
>
>
>>  It seems pretty certain that in first case we would consider ourselves
>>the egress
>>  but how about the second two cases ? 
>>  My inclination is that we would not want to be the egress in the last two
>cases. 
>> ]
>There may be a need to have "Proxy Egress" as configurable option.
>
>
>cheers,
>chetan
>